net.minecraft.item

## Enum Item.ToolMaterial

- java.lang.Object
- - java.lang.Enum<Item.ToolMaterial>
  - - net.minecraft.item.Item.ToolMaterial

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Item.ToolMaterial>
  Enclosing class:
    Item

      public static enum Item.ToolMaterial
      extends java.lang.Enum<Item.ToolMaterial>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EMERALD`
    `GOLD`
    `IRON`
    `STONE`
    `WOOD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Item` | `customCraftingMaterial`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Item` | `func_150995_f()`
    `float` | `getDamageVsEntity()`
    `float` | `getEfficiencyOnProperMaterial()`
    `int` | `getEnchantability()`
    `int` | `getHarvestLevel()`
    `int` | `getMaxUses()`
    `static Item.ToolMaterial` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Item.ToolMaterial[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WOOD

          public static final Item.ToolMaterial WOOD

    - #### STONE

          public static final Item.ToolMaterial STONE

    - #### IRON

          public static final Item.ToolMaterial IRON

    - #### EMERALD

          public static final Item.ToolMaterial EMERALD

    - #### GOLD

          public static final Item.ToolMaterial GOLD

  - ### Field Detail

    - #### customCraftingMaterial

          public Item customCraftingMaterial

  - ### Method Detail

    - #### values

          public static Item.ToolMaterial[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Item.ToolMaterial c : Item.ToolMaterial.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Item.ToolMaterial valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMaxUses

          public int getMaxUses()

    - #### getEfficiencyOnProperMaterial

          public float getEfficiencyOnProperMaterial()

    - #### getDamageVsEntity

          public float getDamageVsEntity()

    - #### getHarvestLevel

          public int getHarvestLevel()

    - #### getEnchantability

          public int getEnchantability()

    - #### func_150995_f

          public Item func_150995_f()